For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
      • POSTCreate a return.
      • GETGet Return Orders
      • GETGet Return Order
      • PUTModify Return Order
      • POSTCancel Return Order
    • OpenAPI spec
LogoLogo
API ReferenceReturns

Get Return Order

||View as Markdown|
GET
/2025-07/return/:id
GET
/2025-07/return/:id
$curl https://api.shipbob.com/2025-07/return/id \
> -H "Authorization: Bearer <token>"
1{
2 "arrived_date": "2019-08-24T14:15:22Z",
3 "awaiting_arrival_date": "2019-08-24T14:15:22Z",
4 "cancelled_date": "2019-08-24T14:15:22Z",
5 "channel": {
6 "id": 0,
7 "name": "string"
8 },
9 "completed_date": "2019-08-24T14:15:22Z",
10 "customer_name": "string",
11 "fulfillment_center": {
12 "id": 0,
13 "name": "string"
14 },
15 "id": 0,
16 "insert_date": "2019-08-24T14:15:22Z",
17 "inventory": [
18 {
19 "action_requested": {
20 "action": "string",
21 "action_type": "string",
22 "instructions": "string"
23 },
24 "action_taken": [
25 {
26 "action": "string",
27 "action_reason": "string",
28 "image_url": "http://example.com",
29 "quantity_processed": 0
30 }
31 ],
32 "id": 0,
33 "lot_information": {
34 "expiration": "2019-08-24T14:15:22Z",
35 "minimumShelfLife": 0,
36 "number": "string"
37 },
38 "name": "string",
39 "quantity": 0,
40 "sku": "string"
41 }
42 ],
43 "invoice": {
44 "amount": 0.1,
45 "currency_code": "string"
46 },
47 "original_shipment_id": 0,
48 "processing_date": "2019-08-24T14:15:22Z",
49 "reference_id": "string",
50 "return_type": "string",
51 "shipment_tracking_number": "string",
52 "status": "string",
53 "status_history": [
54 {
55 "status": "string",
56 "timestamp": "2019-08-24T14:15:22Z"
57 }
58 ],
59 "store_order_id": "string",
60 "tracking_number": "string",
61 "transactions": [
62 {
63 "amount": 0.1,
64 "transaction_type": "string"
65 }
66 ]
67}
Was this page helpful?
Previous

Get Return Orders

Next

Modify Return Order

Built with

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token

OR
AuthorizationBearer
OAuth2 authentication using JWT tokens

Path parameters

idstringRequiredformat: "int32"
The Id of the Return

Headers

shipbob_channel_idstringOptionalformat: "int32"
Channel Id for Operation

Response

Success
arrived_datedatetime or null
awaiting_arrival_datedatetime or null
cancelled_datedatetime or null
channelobject
completed_datedatetime or null
customer_namestring or null
fulfillment_centerobject
idinteger
insert_datedatetime
inventorylist of objects or null
invoiceobject
original_shipment_idinteger or null
processing_datedatetime or null
reference_idstring or null
return_typestring or null
shipment_tracking_numberstring or null
statusstring or null
status_historylist of objects or null
store_order_idstring or null
tracking_numberstring or null
transactionslist of objects or null

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error